Обновление PHP 5.6.7, 5.5.23 и 5.4.39 с устранением уязвимостей

Материал из Викиновостей, свободного источника новостей
Перейти к навигации Перейти к поиску

20 марта 2015 года

Wikinews-logo-ru.svg

Доступны корректирующие выпуски языка программирования PHP 5.6.7, 5.5.23 и 5.4.39, в которых устранены три уязвимости и исправлено около 30 ошибок. Уязвимость CVE-2015-0231 продолжает череду проблем в реализации функции unserialize() и может привести к выполнению кода при обработке в данной функции специально оформленного блока данных.

Уязвимость CVE-2015-2305 присутствует в расширении Ereg и может привести к переполнению буфера при обработке выражений слишком большого размера. Уязвимость CVE-2015-2331 присутствует в дополнении ZIP и может привести к записи за границу буфера при обработке ZIP-архива, содержащего слишком большое число файлов.

 

Источники[править]


OpenNET logo.png
Creative Commons
Эта статья содержит материалы из статьи «Обновление PHP 5.6.7, 5.5.23 и 5.4.39 с устранением уязвимостей», опубликованной OpenNET и распространяющейся на условиях лицензии Creative Commons Attribution (CC BY) — указание автора, источник и лицензию.
Cartoon Robot.svg
Эта статья загружена автоматически ботом NewsBots в архив и ещё не проверялась редакторами Викиновостей.
Любой участник может оформить статью: добавить иллюстрации, викифицировать, заполнить шаблоны и добавить категории.
Любой редактор может снять этот шаблон после оформления и проверки.
 

Комментарии:Обновление PHP 5.6.7, 5.5.23 и 5.4.39 с устранением уязвимостей